{
	"pages": [ //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
		{
			"path": "pages/report/report",
			"style": {
				"navigationBarTitleText": "FICC研报",
				"navigationStyle": "custom",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/buy/buy",
			"style": {
				"navigationBarTitleText": "已购",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/chart/chart",
			"style": {
				"navigationBarTitleText": "图库",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/activity/activity",
			"style": {
				"navigationBarTitleText": "线下沙龙",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/user/user",
			"style": {
				"navigationBarTitleText": "我的"
			}
		},
		{
			"path": "pages/question/question",
			"style": {
				"navigationBarTitleText": "问答社区",
				"enablePullDownRefresh": true
			}
		},
		{
			"path":"pages/login",
			"style":{
				"navigationBarTitleText":"绑定联系方式"
			}
		},
		{
			"path": "pages/pc",
			"style":{
				"navigationBarTitleText": ""
			}
		},
		{
			"path": "pages/pricedriven/pricedriven",
			"style":{
				"navigationBarTitleText":"价格驱动"
			}
		},
		{
			"path": "pages/video/videoList",
			"style": {
				"navigationBarTitleText": "视频社区",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/video/videoSearch",
			"style": {
				"navigationBarTitleText": "视频社区"
			}
		},
		{
			"path":"pages/voice/voice",
			"style": {
				"navigationBarTitleText": "语音播报",
				"enablePullDownRefresh": true
			}
		},
		{
			"path":"pages/roadShow/video/list",
			"style": {
				"navigationBarTitleText": "线上路演",
				"enablePullDownRefresh": true
			}
		},
		{
			"path":"pages/myChart/index",
			"style": {
				"navigationBarTitleText": "我的图库",
				"enablePullDownRefresh": true
			}
		},
		{
			"path":"pages/positionAnalysis/index",
			"style": {
				"navigationBarTitleText": "持仓分析",
				"enablePullDownRefresh": true
			}
		},
		{
			"path":"pages/positionAnalysis/detail",
			"style": {
				"navigationBarTitleText": "持仓分析"
			}
		},
		{
			"path":"pages/transitionPage"
		},
		{
			"path":"pages/forexCalendar/index",
			"style":{
				"navigationBarTitleText":"事件日历"
			}
		}
	],
	"subPackages":[
		// 活动模块
		{
			"root":"pages-activity",
			"pages":[
				{
					"path":"detail",
					"style":{
						"navigationBarTitleText":"活动详情"
					}
				},
				{
					"path":"noAuthority",
					"style":{
						"navigationBarTitleText":"活动详情"
					}
				},
				{
					"path": "reportDetail",
					"style":{
						"navigationBarTitleText": "报告详情"
					}
				}
			]
		},
		// 申请权限模块
		{
			"root":"pages-applyPermission",
			"pages": [
				{
					"path":"applyPermission",
					"style":{
						"navigationBarTitleText":"申请试用"
					}
				},
				{
					"path":"selectVariety",
					"style":{
						"navigationBarTitleText":"选择品种"
					}
				},
				{
					"path":"applyResult",
					"style":{
						"navigationBarTitleText":"申请结果"
					}
				}
			]
		},
		// 用户模块
		{
			"root": "pages-user",
			"pages": [
				{
					"path": "permissionList",
					"style":{
						"navigationBarTitleText": "品种权限"
					}
				},
				{
					"path": "messageList",
					"style":{
						"navigationBarTitleText": "消息通知",
						"enablePullDownRefresh": true
					}
				},
			   	{
					"path": "mysetting",
					"style":{
						"navigationBarTitleText": "我的设置"
					}
				},
				{
					"path": "myCollect",
					"style":{
						"navigationBarTitleText": "我的收藏",
						"enablePullDownRefresh": true
					}
				}
      		]
		},
		// 图库模块
		{
			"root": "pages-chart",
			"pages": [
				{
					"path": "allTypes",
					"style":{
						"navigationBarTitleText": "图表分类"
					}
				},
				{
					"path": "chartDetail",
					"style":{
						"navigationBarTitleText": "图表详情"
					}
				}
			]
		},
		//已购模块
		{
			"root": "pages-buy",
			"pages": [
				{
					"path":"detail",
					"style":{
						"navigationBarTitleText":""
					}
				}
			]
		},
		// 研报模块
		{
			"root": "pages-report",
			"pages": [
				{
					"path":"classify",
					"style":{
						"navigationBarTitleText":"FICC研报分类",
						"enablePullDownRefresh": true
					}
				},
				{
					"path":"search",
					"style":{
						"navigationBarTitleText":"FICC研报"
					}
				},
				// 专栏列表 classifyId 
				{
					"path": "specialColumn/list",
					"style":{
						"enablePullDownRefresh": true
					}
				},
				// 专栏详情 columnId
				{
					"path": "specialColumn/detail",
					"style":{
						"enablePullDownRefresh": true
					}
				},
				// 报告列表 classifyId
				{
					"path": "reportList",
					"style":{
						"enablePullDownRefresh": true
					}
				},
				// 报告列表搜索页
				{
					"path": "reportListSearch"
				},
				//报告详情
				{
					"path": "reportDetail"
				},
				// 章节详情
				{
					"path": "chapterDetail"
				},
				// 章节列表
				{
					"path": "chapterList"
				},
				//ficc介绍页面
				{
					"path": "ficcService"
				},
				//预览图片
				{
					"path":"previewImage",
					"style":{
						"navigationStyle": "custom"
					}
				},
				//按用户有权限品种分的报告列表页
				{
					"path": "reportForVariety/list",
					"style":{
						"enablePullDownRefresh": true
					}
				},
				//报告详情背景音频播放页
				{
					"path": "reportBgAudio"
				},
				{
					"path": "audioPlayListSet",
					"style":{
						"navigationBarTitleText": "播放列表 "
					}
				},
				{
					"path": "previewPDF"
				}
			    ,{
                    "path" : "disseminatePage/disseminatePage",
                    "style" :                                                                                    
                {
                    "navigationBarTitleText": "",
                    "enablePullDownRefresh": false
                }
                
                },
                {
                	"path" : "surveyHistory/surveyHistory",
                	"style" : 
                	{
                		"navigationBarTitleText" : "调研列表",
                		"enablePullDownRefresh" : false
                	}
                },
                {
                	"path" : "signUpPage/signUpPage",
                	"style" : 
                	{
                		"navigationBarTitleText" : "报名",
                		"enablePullDownRefresh" : false
                	}
                }
            ]
		},
		// 问答模块
		{
			"root": "pages-question",
			"pages": [
				{
					"path": "answerList",
					"style":{
						"navigationBarTitleText": "我的问答",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "answerDetail",
					"style":{
						"navigationBarTitleText": "问答详情"
					}
				},
				{
					"path": "hasQuestion",
					"style":{
						"navigationBarTitleText": "我要提问"
					}
				}
			]
		},
		// 沙盘图
		{
			"root": "pages-sandTable",
			"pages": [
				{
					"path": "sandTable",
					"style":{
						"navigationBarTitleText": "沙盘推演",
						"enablePullDownRefresh": true
					}
				}
			]
		},
		//语音播放模块
		{
			"root":"pages-voice",
			"pages": [
				{
					"path": "addVoice",
					"style":{
						"navigationBarTitleText": "新建语音"
					}
				},
				{
					"path": "voiceDetail",
					"style":{
						"navigationBarTitleText": "播报详情"
					}
				},
				{
					"path": "myVoice",
					"style":{
						"navigationBarTitleText": "我的语音",
						"enablePullDownRefresh": true
					}
				}
			]
		},
		//线上路演模块
		{
			"root":"pages-roadShow",
			"pages":[
				{
					"path":"video/list",
					"style": {
						"navigationBarTitleText": "线上路演",
						"enablePullDownRefresh": true
					}
				},
				{
					"path":"video/search",
					"style": {
						"navigationBarTitleText": "线上路演"
					}
				}
			]
		},
		// 我的图库模块
		{
			"root":"pages-myChart",
			"pages":[
				{
					"path":"classify",
					"style": {
						"navigationBarTitleText": "分类"
					}
				},
				{
					"path":"list",
					"style": {
						"navigationBarTitleText": "列表"
					}
				},
				{
					"path":"detail",
					"style": {
						"navigationBarTitleText": "详情"
					}
				}
			]
		}
	],
		
	"tabBar": {
		"custom": true,
		"color": "#1F243A",
		"selectedColor": "#E3B377",
		"list": [
			{
				"pagePath": "pages/report/report",
				"text": "首页",
				"iconPath": "./static/tabbar/report.png",
				"selectedIconPath": "./static/tabbar/report-s.png"
			},
			{
				"pagePath": "pages/roadShow/video/list",
				"text": "线上路演",
				"iconPath": "./static/tabbar/roadShow.png",
				"selectedIconPath": "./static/tabbar/roadShow-s.png"
			},
			{
				"pagePath": "pages/myChart/index",
				"text": "我的图库",
				"iconPath": "./static/tabbar/mychart.png",
				"selectedIconPath": "./static/tabbar/mychart-s.png"
			},
			{
				"pagePath": "pages/question/question",
				"text": "问答",
				"iconPath": "./static/tabbar/question.png",
				"selectedIconPath": "./static/tabbar/question-s.png"
			},
			{
				"pagePath": "pages/voice/voice",
				"text": "语音播报",
				"iconPath": "./static/tabbar/voice.png",
				"selectedIconPath": "./static/tabbar/voice-s.png"
			}
		]
	},
	
		
	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "弘则研报",
		"navigationBarBackgroundColor": "#FFFFFF",
		"backgroundColor": "#FFFFFF",
		"usingComponents":{
			"drag":"/wxcomponents/drag/index",
			"van-button":"/wxcomponents/vant/button/index",
			"van-toast":"/wxcomponents/vant/toast/index",
			"van-popup":"/wxcomponents/vant/popup/index",
			"van-search": "/wxcomponents/vant/search/index",
			"van-sticky": "/wxcomponents/vant/sticky/index",
			"van-field": "/wxcomponents/vant/field/index",
			"van-icon": "/wxcomponents/vant/icon/index",
			"van-radio": "/wxcomponents/vant/radio/index",
			"van-tab": "/wxcomponents/vant/tab/index",
  			"van-tabs": "/wxcomponents/vant/tabs/index",
			"van-count-down": "/wxcomponents/vant/count-down/index",
			"van-empty": "/wxcomponents/vant/empty/index",
			"van-checkbox": "/wxcomponents/vant/checkbox/index",
			"van-transition": "/wxcomponents/vant/transition/index",
			"van-collapse": "/wxcomponents/vant/collapse/index",
			"van-collapse-item": "/wxcomponents/vant/collapse-item/index",
			"van-action-sheet": "/wxcomponents/vant/action-sheet/index",
			"van-tag": "/wxcomponents/vant/tag/index",
			"van-row": "/wxcomponents/vant/row/index",
  			"van-col": "/wxcomponents/vant/col/index",
			"van-progress": "/wxcomponents/vant/progress/index",
			"van-dialog": "/wxcomponents/vant/dialog/index",
			"van-cell": "/wxcomponents/vant/cell/index",
			"van-tree-select": "/wxcomponents/vant/tree-select/index",
			"van-datetime-picker": "/wxcomponents/vant/datetime-picker/index",
			"van-swipe-cell": "/wxcomponents/vant/swipe-cell/index",
			"van-switch": "/wxcomponents/vant/switch/index"
		}
	}
}
